

Cc: Hien Nguyen <hien@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/kprobes.h |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff -puN include/linux/kprobes.h~kprobes-function-return-probes-fix include/linux/kprobes.h
--- 25/include/linux/kprobes.h~kprobes-function-return-probes-fix	Fri May 20 16:53:53 2005
+++ 25-akpm/include/linux/kprobes.h	Fri May 20 16:53:53 2005
@@ -99,15 +99,16 @@ extern void trampoline_post_handler(stru
 extern struct task_struct *arch_get_kprobe_task(void *ptr);
 #else
 #define arch_supports_kretprobes		0
-static void kretprobe_trampoline(void)
+static inline void kretprobe_trampoline(void)
 {
 }
-static int trampoline_probe_handler(struct kprobe *p, struct pt_regs *regs)
+static inline int trampoline_probe_handler(struct kprobe *p,
+						struct pt_regs *regs)
 {
 	return 0;
 }
-static void trampoline_post_handler(struct kprobe *p, struct pt_regs *regs,
-							unsigned long flags)
+static inline void trampoline_post_handler(struct kprobe *p,
+				struct pt_regs *regs, unsigned long flags)
 {
 }
 #define arch_get_kprobe_task(ptr) ((struct task_struct *)NULL)
_
